CSDN论坛 > Linux/Unix社区 > 系统维护与使用区

一个rpm的问题 [问题点数:20分,结帖人mexcactus]

Bbs1
本版专家分:0
结帖率 100%
CSDN今日推荐
Bbs7
本版专家分:19969
Blank
黄花 2004年3月 Linux/Unix社区大版内专家分月排行榜第二
2003年12月 Linux/Unix社区大版内专家分月排行榜第二
2003年11月 Linux/Unix社区大版内专家分月排行榜第二
2003年10月 Linux/Unix社区大版内专家分月排行榜第二
2003年9月 Linux/Unix社区大版内专家分月排行榜第二
2003年8月 Linux/Unix社区大版内专家分月排行榜第二
Blank
蓝花 2004年1月 Linux/Unix社区大版内专家分月排行榜第三
Bbs1
本版专家分:10
Bbs7
本版专家分:19969
Blank
黄花 2004年3月 Linux/Unix社区大版内专家分月排行榜第二
2003年12月 Linux/Unix社区大版内专家分月排行榜第二
2003年11月 Linux/Unix社区大版内专家分月排行榜第二
2003年10月 Linux/Unix社区大版内专家分月排行榜第二
2003年9月 Linux/Unix社区大版内专家分月排行榜第二
2003年8月 Linux/Unix社区大版内专家分月排行榜第二
Blank
蓝花 2004年1月 Linux/Unix社区大版内专家分月排行榜第三
Bbs4
本版专家分:1178
Blank
黄花 2003年8月 PHP大版内专家分月排行榜第二
2003年5月 PHP大版内专家分月排行榜第二
Blank
蓝花 2003年6月 PHP大版内专家分月排行榜第三
2003年4月 PHP大版内专家分月排行榜第三
匿名用户不能发表回复!
其他相关推荐
创建rpm包
一 准备工作    要制作的linux系统中(centos6.5为例),需要保证有rpmbuild rpmdevtools两个开发工具    yum install rpm-build    yum install rpmdevtools    安装完rpmdevtools后,会创建一些工具,比如    rpmdev-setuptree    Create RPM build tree
当RPM包安装遇上“依赖性”问题时的解决办法
预备安装的是一部LAMP(Linux+Apache+MySQL+PHP)服务器,系统使用Redhat Enterprise Linux AS4 Update4进行最小系统安装(Mini),然后在上面手动安装其它包,结果在安装Apache的时候就遇到了: # rpm -ivh httpd-2.0.52-25.ent.i386.rpm 出现提示: error: Failed dependenci
Linux 列出RPM包依赖的两个命令
以下两个命令可以列出RPM包的依赖情况, 1 yum deplist pakcage yum deplist ntp Loaded plugins: fastestmirror Finding dependencies: Loading mirror speeds from cached hostfile * base: mirrors.sohu.com * epel: mirror...
Linux中rpm 执行安装包
Linux中rpm 执行安装包参考http://www.cnblogs.com/liqiu/archive/2012/12/04/2801201.html
如何打一个rpm包
原文链接:http://www.blogbus.com/meishiblog-logs/82566046.html 要想制作一个RPM格式的软件包,需要编写软件包描述文件。其标准命名格式为:软件名-版本号-释出号.spec(现在大多情况下都是直接用:软件 名.spec),这个文件,详细描述了有关该软件包的诸多信息,如软件名,版本,类别,说明摘要,创建时要执行什么指令,安装时要执行什么操作,以及软
linux rpm的应用
rpm的应用rprpm的应用m的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用rpm的应用
linux下本地yum源配置
配置Linux下本地yum源能有效摆脱rpm安装时的依赖问题,是rpm格式软件安装快速高效
linux离线安装gcc环境,一整套rpm包
包含的包如下: cloog-ppl-0.15.7-1.2.el6.x86_64.rpm cpp-4.4.7-4.el6.x86_64.rpm gcc-4.4.7-4.el6.x86_64.rpm gcc-c++-4.4.7-4.el6.x86_64.rpm glibc-devel-2.12-1.132.el6.x86_64.rpm glibc-headers-2.12-1.132.el6.x86_64.rpm kernel-headers-2.6.32-431.el6.x86_64.rpm libstdc++-devel-4.4.7-4.el6.x86_64.rpm mpfr-2.4.1-6.el6.x86_64.rpm ppl-0.10.2-11.el6.x86_64.rpm 安装流程如下: rpm -ivh ppl-0.10.2-11.el6.x86_64.rpm rpm -ivh cloog-ppl-0.15.7-1.2.el6.x86_64.rpm rpm -ivh mpfr-2.4.1-6.el6.x86_64.rpm rpm -ivh cpp-4.4.7-4.el6.x86_64.rpm --force rpm -ivh kernel-headers-2.6.32-431.el6.x86_64.rpm rpm -ivh glibc-headers-2.12-1.132.el6.x86_64.rpm --force rpm -ivh glibc-devel-2.12-1.132.el6.x86_64.rpm --force rpm -ivh gcc-4.4.7-4.el6.x86_64.rpm --force rpm -ivh libstdc++-devel-4.4.7-4.el6.x86_64.rpm rpm -ivh gcc-c++-4.4.7-4.el6.x86_64.rpm 小提示:当出现依赖问题时,解决的方法就是在rpm 语句后面加上 --force --nodeps
linux 2.4 升级到 2.6.18核心
linux 2.4 升级到 2.6.18核心 解决mount和rpm使用问题
可执行文件简单打包成rpm文件
操作环境:CentOS_6.7-Minimal 首先安装rpm环境: yum install rpm-build yum install rpm-devel yum install rpmdevtools 生成rpm运行环境: rpmdev-setuptree 这时在root目录下会有rpmbuild文件,进入/root/rpmbuild/SPECS/,编辑打包脚本 Name:
关闭